.resource-cart {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

svg {
  width: 90%;
  filter: drop-shadow(10px 10px 1px rgba(0, 0, 0, 0.4));
  animation: cart-rotation 5s ease infinite;
}

.wheel-l,
.wheel-r {
  transform-origin: center;
  transform-box: fill-box;
  animation: wheel-rotation 12s linear infinite;
}

.body {
  transform-origin: center;
  transform-box: fill-box;
  animation: body-animation 5s ease infinite;
}

.resource {
  transform-origin: center;
  transform-box: fill-box;
  animation: resource-animation 8s ease-in infinite;
}

@keyframes wheel-rotation {
  0% {
    transform: rotate(0) scaleY(1);
  }

  100% {
    transform: rotate(calc(360deg * 6)) scaleY(1);
  }
}

@keyframes cart-rotation {
  0% {
    transform: rotate(-2deg);
  }

  50% {
    transform: rotate(2deg);
  }

  100% {
    transform: rotate(-2deg);
  }
}

@keyframes body-animation {
  0% {
    transform: rotate(-1deg);
  }

  50% {
    transform: rotate(1deg);
  }

  100% {
    transform: rotate(-1deg);
  }
}

@keyframes resource-animation {
  0% {
    transform: scaleY(1) rotate(-2deg);
  }

  20% {
    transform: scaleY(0.93) rotate(2deg);
  }

  40% {
    transform: scaleY(1) rotate(-2deg);
  }

  60% {
    transform: scaleY(1) rotate(2deg);
  }

  80% {
    transform: scaleY(0.93) rotate(-2deg);
  }

  100% {
    transform: scaleY(1) rotate(-2deg);
  }
}
